# Copyright 2012-2014 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Integration-test the `maas` command."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
    )

str = None

__metaclass__ = type
__all__ = []

from os import (
    environ,
    path,
    )
from subprocess import (
    CalledProcessError,
    check_output,
    STDOUT,
    )
import sys

import maascli
from maastesting.testcase import MAASTestCase


class TestMAASCli(MAASTestCase):

    def run_command(self, *args):
        command = [sys.executable, "-m", "maascli"]
        command.extend(args)
        check_output(command, stderr=STDOUT, env=dict(
            environ, PYTHONPATH=path.pathsep.join(sys.path)))

    def test_run_without_args_fails(self):
        self.assertRaises(CalledProcessError, self.run_command)

    def test_run_without_args_shows_help_reminder(self):
        script = path.realpath(maascli.__file__)
        e = self.assertRaises(CalledProcessError, self.run_command)
        self.assertIn(
            "Run %s --help for usage details." % path.join(
                path.dirname(script), "__main__.py"),
            e.output)

    def test_help_option_succeeds(self):
        self.run_command('-h')
        # The test is that we get here without error.
        pass

    def test_list_command_succeeds(self):
        self.run_command('list')
        # The test is that we get here without error.
        pass
