from common import (
    __version__,
    configure,
    )


configure(
    name='maas-cluster',
    description="MAAS Provisioning Server (part of a Cluster Controller).",
    install_requires=[
        "celery >= 2.5.3",
        "crochet >= 1.0.0",
        "formencode >= 1.2.4",
        # "hivex >= 1.3.9",  # Needs distutils packaging.
        "lxml >= 3.2.0",
        "maas-apiclient >= %s" % __version__,
        "netaddr >= 0.7.7",
        "netifaces >= 0.8",
        "oops >= 0.0.10",
        "oops-datedir-repo >= 0.0.15",
        "oops-twisted >= 0.0.6",
        "paramiko >= 1.10.1",
        "pexpect >= 3.1",
        # "pkg_resources >= 0.6.37",  # Implicit.
        # "pymongo >= 2.6",  # Or bson >= 2.6 ???
        "python-seamicroclient >= 0.1",
        # "python-tx-tftp >= 0.1",  # Needs distutils packaging.
        "PyYAML >= 3.1.0",
        "simplejson >= 3.3.0",
        # "simplestreams >= 0.1.0",  # Needs distutils packaging.
        "tempita >= 0.5.1",
        "twisted >= 13.0.0",
        "txamqp >= 0.6.1",
        "zope.interface >= 4.0.5",
    ],
    tests_require=[
        "fixtures >= 0.3.8",
        "maas-testing >= %s" % __version__,
        "mock >= 1.0b1",
        "rabbitfixture >= 0.3.5",
        "testtools >= 0.9.32",
    ],
    entry_points={
        "console_scripts": {
            "maas-cluster-twistd = maascluster.entrypoints:twistd",
            "maas-cluster-worker = maascluster.entrypoints:celeryd",
            "maas-probe-dhcp = maascluster.entrypoints:probe_dhcp",
            "maas-provision = maascluster.entrypoints:provision",
        },
    },
)
