# Copyright 2014 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Entry-points for the MAAS Cluster."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
    )

str = None

__metaclass__ = type
__all__ = [
    "celeryd",
    "probe_dhcp",
    "provision",
    "twistd",
]

from os import environ

from pkg_resources import (
    load_entry_point,
    Requirement,
    resource_filename,
    )


def set_environment():
    environ.setdefault(
        "CELERY_CONFIG_MODULE",
        "maascluster.worker.config")
    environ.setdefault(
        "MAAS_CONFIG_DIR", resource_filename(
            Requirement.parse("maas-cluster"), "etc/maas"))


def celeryd():
    set_environment()
    main = load_entry_point("celery", "console_scripts", "celeryd")
    return main()


def probe_dhcp():
    set_environment()
    from provisioningserver.dhcp.probe import main
    return main()


def provision():
    set_environment()
    from provisioningserver.__main__ import main
    return main()


def twistd():
    set_environment()
    from twisted.scripts.twistd import run
    return run()
