# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Celery demo settings for the maas project: cluster settings."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
)

str = None

__metaclass__ = type


import os

import maascluster.worker.config
from maastesting import root
from pkg_resources import (
    Requirement,
    resource_filename,
    )
from provisioningserver.utils import import_settings

# Extend base settings.
import_settings(maascluster.worker.config)

DNS_CONFIG_DIR = resource_filename(
    Requirement.parse("maas-cluster"), "run/named")

DNS_RNDC_PORT = 9154

# In configuring RNDC, do not include the default "controls" statement that,
# on a production system, would allow the init scripts to control the DNS
# daemon.  It would try to listen on port 953, which causes conflicts.  (The
# similar "controls" statement for the benefit of MAAS itself, on port 954,
# will still be there).
DNS_DEFAULT_CONTROLS = False

DHCP_CONFIG_FILE = os.path.join(root, 'run/dhcpd.conf')

DHCP_LEASES_FILE = os.path.join(root, 'run/dhcpd.leases')

CELERYD_LOG_FILE = os.path.join(root, 'logs/cluster-worker/current')

CELERYBEAT_SCHEDULE_FILENAME = os.path.join(
    root, 'run/celerybeat-cluster-schedule')
