from common import (
    __version__,
    configure,
    )


configure(
    name='maas-develop',
    description="MAAS development support.",
    install_requires=[
        # Bring in all the other MAAS packages.
        "maas-apiclient == %s" % __version__,
        "maas-client == %s" % __version__,
        "maas-cluster == %s" % __version__,
        "maas-region == %s" % __version__,
        "maas-testing == %s" % __version__,
        # Other developement dependencies.
        "flake8",
        "ipython",
        "sphinx == 1.2.2",
    ],
    entry_points={
        "console_scripts": {
            # Development tools.
            "database = postgresfixture.main:main",
            "flake8 = flake8.run:main",
            "ipython = IPython.frontend.terminal.ipapp:launch_new_instance",
            "sphinx = sphinx:main",
            # Region entry points.
            "maas = maasdevelop.region.entrypoints:manage",
            "maas-dns-server = maasdevelop.region.entrypoints:dns_server",
            "maas-region-twistd = maasdevelop.region.entrypoints:twistd",
            "maas-region-worker = maasdevelop.region.entrypoints:celeryd",
            # Cluster entry points.
            "maas-cluster-twistd = maasdevelop.cluster.entrypoints:twistd",
            "maas-cluster-worker = maasdevelop.cluster.entrypoints:celeryd",
            "maas-probe-dhcp = maasdevelop.cluster.entrypoints:probe_dhcp",
            "maas-provision = maasdevelop.cluster.entrypoints:provision",
            # Testing scripts for all MAAS projects.
            "test.apiclient = maasdevelop.testing.entrypoints:test_apiclient",
            "test.client = maasdevelop.testing.entrypoints:test_client",
            "test.cluster = maasdevelop.testing.entrypoints:test_cluster",
            "test.region = maasdevelop.testing.entrypoints:test_region",
            "test.testing = maasdevelop.testing.entrypoints:test_testing",
        },
    },
)
