# Copyright 2014 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Entry-points for the MAAS Region in development."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
    )

str = None

__metaclass__ = type
__all__ = [
    "celeryd",
    "dns_server",
    "manage",
    "twistd",
]

from os import environ

from pkg_resources import (
    load_entry_point,
    Requirement,
    resource_filename,
    )


def set_environment():
    environ.setdefault(
        "CELERY_CONFIG_MODULE",
        "maasdevelop.region.celeryconfig_demo")
    environ.setdefault(
        "DJANGO_SETTINGS_MODULE",
        "maasdevelop.region.demo")
    environ.setdefault(
        "MAAS_CONFIG_DIR", resource_filename(
            Requirement.parse("maas-region"), "etc/maas"))


def celeryd():
    set_environment()
    main = load_entry_point("celery", "console_scripts", "celeryd")
    return main()


def dns_server():
    set_environment()
    from provisioningserver.testing.bindfixture import main
    return main()


def manage():
    set_environment()
    from django.core.management import execute_from_command_line
    return execute_from_command_line()


def twistd():
    set_environment()
    from twisted.scripts.twistd import run
    return run()
