from common import (
    __version__,
    configure,
    )


configure(
    name='maas-region',
    description="MAAS Region Controller.",
    install_requires=[
        "amqplib >= 1.0.2",
        # "avahi >= 0.6.31",  # Needs distutils packaging.
        "celery >= 2.5.3",
        "convoy >= 0.2.1",
        "crochet >= 1.0.0",
        # "curtin >= 0.1.0",  # Needs distutils packaging.
        # "dbus >= 1.2.0",  # Needs distutils packaging.
        "django >= 1.5.4",
        "django-debug-toolbar >= 1.0.1",
        "django-piston >= 0.2.3",
        "djorm-ext-pgarray >= 0.8",
        "docutils >= 0.11",
        "formencode >= 1.2.4",
        "iscpy >= 1.05",
        "jsonschema >= 2.3.0",
        "lockfile >= 0.8",
        "lxml >= 3.2.0",
        "maas-apiclient >= %s" % __version__,
        "maas-cluster >= %s" % __version__,
        "netaddr >= 0.7.7",
        "oauth >= 1.0.1",
        "oops >= 0.0.10",
        "oops-datedir-repo >= 0.0.15",
        "oops-twisted >= 0.0.6",
        # "pkg_resources >= 0.6.37",  # Implicit.
        "psycopg2 >= 2.4.5",
        # "pymongo >= 2.6",  # Or bson >= 2.6 ???
        "pyOpenSSL >= 0.13",
        "PyYAML >= 3.1.0",
        "simplejson >= 3.3.0",
        "south >= 0.7.5",
        "tempita >= 0.5.1",
        "twisted >= 13.0.0",
        "txlongpoll >= 0.3.1",
    ],
    tests_require=[
        "fixtures >= 0.3.14",
        "maas-testing >= %s" % __version__,
        "mock >= 1.0.1",
        "nose >= 1.1.2",
        "postgresfixture >= 0.2.1",
        "python-subunit >= 0.0.18",
        "rabbitfixture >= 0.3.5",
        "saucelabsfixture >= 0.1",
        "selenium >= 2.39",
        "sst >= 0.2.2",
        "testresources >= 0.2.5",
        "testscenarios >= 0.3",
        "testtools >= 0.9.32",
    ],
    test_loader="maastesting.djangoloader:MAASDjangoTestLoader",
    entry_points={
        "console_scripts": {
            "maas = maas.entrypoints:manage",
            "maas-dns-server = maas.entrypoints:dns_server",
            "maas-region-twistd = maas.entrypoints:twistd",
            "maas-region-worker = maas.entrypoints:celeryd",
        },
    },
)
