# Copyright 2014 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Celery test settings for the MAAS project: region settings."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
)

str = None

__metaclass__ = type

from maas import import_settings
import maasserver.worker.config
from pkg_resources import (
    Requirement,
    resource_filename,
    )

# Extend base settings.
import_settings(maasserver.worker.config)

DNS_CONFIG_DIR = resource_filename(
    Requirement.parse("maas-region"), "run/named")

DNS_RNDC_PORT = 9154

# In configuring RNDC, do not include the default "controls" statement that,
# on a production system, would allow the init scripts to control the DNS
# daemon.  It would try to listen on port 953, which causes conflicts.  (The
# similar "controls" statement for the benefit of MAAS itself, on port 954,
# will still be there).
DNS_DEFAULT_CONTROLS = False

DHCP_CONFIG_FILE = resource_filename(
    Requirement.parse("maas-region"), 'run/dhcpd.conf')

DHCP_LEASES_FILE = resource_filename(
    Requirement.parse("maas-region"), 'run/dhcpd.leases')

CELERYD_LOG_FILE = resource_filename(
    Requirement.parse("maas-region"), 'logs/region-worker/current')
